> ## Documentation Index
> Fetch the complete documentation index at: https://docs.yourflexpay.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Complete onboarding and create PayTag



## OpenAPI

````yaml /openapi/sso.openapi.json post /sso/create-tag/{onboarding}/complete
openapi: 3.0.3
info:
  title: Wallet SSO API
  version: 1.0.0
  description: OpenAPI specification for the Wallet service API.
servers:
  - url: https://staging-api.yourflexpay.com/v2
    description: Staging
  - url: https://sandbox-api.yourflexpay.com/v2
    description: Sandbox
  - url: https://api.yourflexpay.com/v2
    description: Live
security:
  - PartnerIdHeader: []
    PartnerApiKeyHeader: []
tags:
  - name: SSO Auth
  - name: SSO Wallet
  - name: SSO Transaction
  - name: SSO Payment Request
  - name: SSO PayTag
  - name: SSO QR
  - name: SSO Beneficiary
paths:
  /sso/create-tag/{onboarding}/complete:
    post:
      tags:
        - SSO Auth
      summary: Complete onboarding and create PayTag
      parameters:
        - in: path
          name: onboarding
          required: true
          schema:
            type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CustomerOnboardingCompleteRequestDto'
      responses:
        '200':
          description: SSO customer
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PayTagSso'
      security:
        - ClientIdHeader: []
          ApiKeyHeader: []
components:
  schemas:
    CustomerOnboardingCompleteRequestDto:
      type: object
      required:
        - tag
        - password
      properties:
        firstName:
          type: string
        lastName:
          type: string
        otherName:
          type: string
        phone:
          type: string
        email:
          type: string
          format: email
        tag:
          type: string
        profileImage:
          type: string
        password:
          type: string
    PayTagSso:
      type: object
      additionalProperties: true
  securitySchemes:
    ClientIdHeader:
      type: apiKey
      in: header
      name: x-client-id
    ApiKeyHeader:
      type: apiKey
      in: header
      name: x-api-key

````